<?php

declare(strict_types=1);

namespace Apexl\Io\Tabulator\Interfaces;

use Apexl\Io\Interfaces\LoaderConditionInterface;
use Apexl\Io\Tabulator\Dtos\TabulatorFilter;

interface TabulatableLoaderConditionCallback
{
    public function __invoke(
        TabulatorFilter $filter,
    ): LoaderConditionInterface;
}
